package com.cc.tools.dlg

import android.content.Context
import android.view.View
import android.widget.TextView
import com.cc.tools.R

open class DlgZip : BaseAlertDialog {

    var mText: TextView? = null

    constructor(ctx: Context) : super(ctx) {
        setCancelable(false)
    }

    override val layoutRes: Int
        get() = R.layout.dlg_zip

    override fun initViews(convertView: View) {
        mText = convertView.findViewById(R.id.dlg_zip_text) as TextView
    }

    fun setText(text: String) {
        mText?.text = text
    }
}