package com.cc.tools.network

open class ResponseBean<T> {

    var apiVersion = ""
    var apiCode = ""
    var isSuccess = false
    var code = 0
    var msg = ""
    var userMsg = ""
    var count = 0
    var totalPages = 0
    var curPage = 0
    var pageSize = 0
    var totalSize = 0
    var results: T? = null

    companion object {
        fun setResult(str: String): ResponseBean<String> {
            val bean = ResponseBean<String>()
            bean.results = str
            return bean
        }
    }

}