package com.cc.tools.network.api

/**
 * 用户
 */
object UserApi {

    val USER_INFO = "v3.user.homeProfile"//个人信息
    val USER_INFO_DETAIL = "v3.user.detailProfile";//个人详情

    /**
     * 登录
     */
    object Login {
        public val LOGIN = "v3.user.login"//登录
        public val LOGOUT = "v3.user.logout"//退出登录
        val REGISTER_EMAIL = "v3.user.registerByEmail"//邮箱注册
        public val REGISTER_PHONE = "v3.user.registerByPhone"//手机号注册
        val RESET_PWD = "v3.user.resetPasswordByPhone"//找回密码
    }

}