package com.cc.tools.network.protocol.cache

import com.cc.tools.bean.EntityCdnTokenBean
import com.cc.tools.network.ProtocolBase
import com.cc.tools.network.api.Cache
import com.cc.tools.utils.JSONUtils
import java.util.*

class ProtocolCdnTokenFile : ProtocolBase<EntityCdnTokenBean>() {


    init {
        mActionName = Cache.GET_FILE_UPLOAD_TOKEN
    }

    override fun parseResult(resultObj: String): EntityCdnTokenBean {
        return JSONUtils.parseObject(resultObj, EntityCdnTokenBean::class.java)!!
    }

    override fun setupKeyValues(kvMap: TreeMap<String, Any>) {
        kvMap.put("modulePath", "crack")
        kvMap.put("objectId", 115708)
    }

}