package com.cc.tools.network.protocol.login

import com.cc.tools.bean.user.UserInfoBean
import com.cc.tools.network.ProtocolBase
import com.cc.tools.network.api.UserApi
import com.cc.tools.utils.JSONUtils
import com.cc.tools.utils.user.UserManager
import java.util.*


/**
 * 个人详情
 *
 * @author cgh
 */
class ProtocolUserInfo : ProtocolBase<UserInfoBean>() {

    init {
        mActionName = UserApi.USER_INFO_DETAIL
    }

    override fun parseResult(resultObj: String): UserInfoBean {
        UserManager.inst.setEntityHomeUserInfoBean(resultObj)
        var userInfoBean = JSONUtils.parseObject(resultObj, UserInfoBean::class.java)
        return userInfoBean!!
    }

    override fun setupKeyValues(kvMap: TreeMap<String, Any>) {

    }

}