package com.cc.tools.utils

import android.os.Environment
import java.io.File

object CacheUtils {

    val PKG = "zombie.survival.craft.z"
    val PKG_2 = "zombie.survival.craft.z.abc"

    fun getDQMR(): File {
        var file = getAndroidDataPath()
        var tempFile: File? = null
        for (subFile in file.listFiles()) {
            if (subFile.name == PKG) {
                tempFile = subFile
                break
            } else if (subFile.name == PKG_2) {
                tempFile = subFile
                break
            }
        }
        if (tempFile == null) {
            tempFile = File(file, PKG)
        }
        return tempFile
    }

    fun getDQMR_2(): String {
        var file = getAndroidDataPath()
        for (subFile in file.listFiles()) {
            if (subFile.name == PKG) {
                return PKG
            } else if (subFile.name == PKG_2) {
                return PKG_2
            }
        }
        return PKG
    }

    fun getDQMR_3(): String {
        var file = getAndroidDataPath()
        for (subFile in file.listFiles()) {
            if (subFile.name == PKG) {
                return PKG
            } else if (subFile.name == PKG_2) {
                return PKG_2
            }
        }
        return ""
    }

    fun getAndroidDataPath(): File {
        return File(Environment.getExternalStorageDirectory(), "Android/data/")
    }

    fun getCCMARKET_FILE(string: String): File {
        return File(Environment.getExternalStorageDirectory(), string)
    }

    /**
     * 刪除整个目录下文件及文件夹,包含本目录
     *
     * @param dir
     */
    fun delDir(dir: File) {
        if (dir.exists()) {
            if (dir.isDirectory) {
                val children = dir.list()//递归删除目录中的子目录下
                for (i in children!!.indices) {
                    delDir(File(dir, children[i]))
                }
            }
            //		  System.out.println(dir.getAbsoluteFile());
            dir.delete()
        }
    }
}