package com.cc.tools.widget.reclyer.header

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.LinearLayout

class FooterLayout : LinearLayout {

    constructor(context: Context) : super(context) {}

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {}

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        val widthSize = View.MeasureSpec.getSize(widthMeasureSpec)
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(widthSize, View.MeasureSpec.EXACTLY), heightMeasureSpec)
    }
}
