package com.cc.tools.dlg

import android.content.Context
import android.view.View
import android.widget.ProgressBar
import android.widget.TextView
import com.cc.tools.R

open class DlgUnZip : BaseAlertDialog {

    var mProgressBar: ProgressBar? = null
    var mPointTv: TextView? = null

    constructor(ctx: Context) : super(ctx) {
    }

    override val layoutRes: Int
        get() = R.layout.dlg_unzip

    override fun initViews(convertView: View) {
        mProgressBar = convertView.findViewById(R.id.dlg_unzip_progress) as ProgressBar
        mPointTv = convertView.findViewById(R.id.dlg_unzip_point) as TextView
        setPoint(0, 100)
    }

    fun setPoint(progress: Long, total: Long) {
        mProgressBar!!.max = (total / 10).toInt()
        mProgressBar!!.progress = (progress / 10).toInt()
        mPointTv!!.text = String.format("%.1f%%", progress * 100.0f/ total)
    }
}