package com.cc.tools.model

import com.cc.tools.bean.CacheBean
import com.cc.tools.bean.user.UserInfoBean
import com.cc.tools.model.common.IUploadModel
import com.cc.tools.model.common.IZipModel
import com.cc.tools.model.common.InstallModel
import com.cc.tools.network.ResponseBean
import com.cc.tools.observer.UserLoginObserver
import com.cc.tools.observer.UserLogoutObserver
import com.cc.tools.model.common.IRequestImp

interface IMainHeaderModel : IZipModel, IUploadModel, UserLogoutObserver.UserLogOutObserverAction, UserLoginObserver.UserLoginObserverAction, IRequestImp<ResponseBean<MutableList<CacheBean>>>, InstallModel {

    fun setUserInfo(userInfoBean: UserInfoBean)
}