package com.cc.tools.model.login

import com.cc.tools.bean.VerImgCodeBean
import com.cc.tools.model.IModel
import com.cc.tools.model.common.ICodeModel
import com.cc.tools.network.ResponseBean
import com.cc.tools.observer.UserLoginObserver

interface IRegisterModel : IModel, ICodeModel, UserLoginObserver.UserLoginObserverAction {


    fun showDlgVerify(phone: String, verifyImgUrl: String)

    fun hideDlgVerify()

    fun refreshVerifyCode(bean: ResponseBean<VerImgCodeBean>)

    fun sendCodeSuccess()
}