package com.cc.tools.network.protocol.config

import com.cc.tools.bean.ConfigBean
import com.cc.tools.network.ProtocolBase
import com.cc.tools.network.api.Cache
import com.cc.tools.utils.JSONUtils
import java.util.*

/**
 * 更新用户游戏存档
 *
 * @author cgh
 */
class ProtocolComCcToolsLoad : ProtocolBase<ConfigBean>() {


    init {
        mActionName = Cache.GET_CONFIG_COMCCTOOLSLOAD
    }

    override fun parseResult(resultObj: String): ConfigBean {
        return JSONUtils.parseObject(resultObj, ConfigBean::class.java)!!
    }

    override fun setupKeyValues(kvMap: TreeMap<String, Any>) {
    }

}