package com.cc.tools.network.protocol.login

import com.cc.tools.network.ProtocolBase
import com.cc.tools.network.api.UserApi
import java.util.*


/**
 * 找回密码
 *
 * @author cgh
 */
class ProtocolResetPasswordByPhone : ProtocolBase<String> {

    var phone = ""
    var validate_code = ""
    var new_password = ""

    constructor() {
        mActionName = UserApi.Login.RESET_PWD
    }

    override fun parseResult(resultObj: String): String {
        return resultObj
    }

    override fun setupKeyValues(kvMap: TreeMap<String, Any>) {
        kvMap.put("phone", phone)
        kvMap.put("validate_code", validate_code)
        kvMap.put("new_password", new_password)
    }

}
