package com.cc.tools.presenter

import android.content.Context
import android.os.Handler

open abstract class IPresenterImp<IModelImp> {

    var mIModelImp: IModelImp? = null
    var mCtx: Context? = null
    var mHandler = Handler()

    fun setIModelImp(iModelImp: IModelImp) {
        mIModelImp = iModelImp
    }

    fun setContext(ctx: Context) {
        mCtx = ctx
    }

    abstract fun initData()

    open fun loadData() {

    }

    open fun getNextData(page: Int, pageSize: Int) {

    }
}
