package com.cc.tools.widget.reclyer

import android.content.Context
import android.support.v4.widget.SwipeRefreshLayout
import android.util.AttributeSet

class CustomSwipeRefreshLayout : SwipeRefreshLayout {


    constructor(context: Context) : super(context) {}

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {}

    override fun setRefreshing(refreshing: Boolean) {
        if (isRefreshing && refreshing || !isRefreshing && !refreshing) {
            try {
                val mRefreshing = javaClass.getDeclaredField("mRefreshing")
                mRefreshing.isAccessible = true
                mRefreshing.setBoolean(this, !refreshing)
            } catch (e: Exception) {
            }

        }
        super.setRefreshing(refreshing)
    }
}
